API docs
Endpoints
Aave Latest Markets
Returns the latest supply APR, borrow APR, total supplied and total borrowed for the selected Aave markets. Data refreshes every 5 minutes by default, with lower-latency access available on request.
GET
/v2/latest
Query parameters
-
marketSlugs
Comma-separated Aave market slugs to include, for example aave-v3-ethereum,aave-v3-base. Defaults to aave-v3-ethereum when omitted.
-
apiKey
Your Aavescan API key.
Example query
curl "https://api.aavescan.com/v2/latest?marketSlugs=aave-v3-ethereum,aave-v3-base&apiKey=YOUR_KEY"
Example response (snippet)
[
{
"market": { "slug": "aave-v3-ethereum" },
"priceCurrency": "USD",
"reservesLastUpdated": "2026-05-09T15:06:39.221Z",
"pricingLastUpdated": "2026-05-09T15:06:37.767Z",
"reserves": [
{
"symbol": "USDC",
"reserve": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"price": "0.99982",
"supplyApr": 0.03557933309172829,
"borrowApr": 0.042863479760950955,
"totalSupplied": 2070304068.909005,
"totalBorrowed": 1909554604.254536,
"supplyIndex": 1.170902979047239,
"borrowIndex": 1.2300692138384648
},
{
"symbol": "WETH",
"reserve": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"price": "2305.46338155",
"supplyApr": 0.016088088949613364,
"borrowApr": 0.02065731137438991,
"totalSupplied": 1988556.6008261086,
"totalBorrowed": 1822164.6914722517,
"supplyIndex": 1.0652755661097317,
"borrowIndex": 1.09865069838476
}
]
}
]